/************************************************************************\
 CWASTETask.h

	A task for dealing with undo for CWASTEText objects under WASTE 1.1

 by Dan Crevier
 5/19/95
 
 based on code by Jud Spencer

 Roms	95/11/08	adapted to THINK C / TCL 1.1.3
\************************************************************************/

#pragma once

#include "CTask.h"
class CWASTEText;

class CWASTETask: public CTask
{
	public:
	
#ifndef THINK_C   
		CWASTETask(CWASTEText *text);
		~CWASTETask();
#else
		void					IWASTETask(CWASTEText *text);
		virtual void			Dispose(void);
#endif // THINK_C
                                                                
		virtual short			GetNameIndex(void);
		virtual void			Undo(void);
		virtual Boolean			IsUndone(void);
        
	protected:
		CWASTEText				*wasteText;
                
};

