/******************************************************************************\
 CTSMDesktop.h

	Desktop that sets the cursor for TSM

	by Dan Crevier
	version 1.8
	
	SCG		95/09/22	simplified a bit, added RTTI macro
	Roms	95/11/08	adapted to THINK C / TCL 1.1.3
\ ******************************************************************************/

#pragma once

#include <CDesktop.h>

class CTSMDesktop : public CDesktop
{
public:

#if (TCL_VERSION) >= 0x02000000
	TCL_DECLARE_CLASS
#endif

	virtual void DispatchCursor(Point where, RgnHandle mouseRgn);
};
