/******************************************************************************\
 CTSMSwitchboard.cpp

	Switchboard modified to handle TSM events.

	by Dan Crevier
	version 1.8
	
	SCG		95/09/22	simplified a bit
\ ******************************************************************************/

#include "CTSMSwitchboard.h"

#ifndef __TEXTSERVICES__
#include <TextServices.h>
#endif

//  Global Variables 
	
extern short 		gUsingTSM;			// Using Text Service Manager?

Boolean CTSMSwitchboard::GetAnEvent(EventRecord *macEvent)
{
	Boolean eventResult, handledByTSM = false;

	eventResult = CSwitchboard::GetAnEvent(macEvent);
	
	if (gUsingTSM)
	{
		handledByTSM = TSMEvent(macEvent);
	}
	
	return (eventResult && !handledByTSM);
}
